Skip to main content
PUT
/
v1
/
companies
/
{company-id}
/
jobs
/
bulk_assign_drivers
Bulk Assign Drivers to Jobs as a Company
curl --request PUT \
  --url https://api.tread-horizon.com/v1/companies/{company-id}/jobs/bulk_assign_drivers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "driver_assignments": [
    {
      "driver_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string<uuid>
required

Company ID

Body

application/json
driver_assignments
DriverAssignment-Create · object[]
required

Response

Accepted

The response is of type object.